<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2019 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: forum_threads_prefix.php
| Version: 1.2
| Author: Virel
| About: Forum Threads Prefix
| Web/Support: https://www.virel.eu/
| PHP-Fusion Version: 7.2
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES . "templates/admin_header.php";
require_once INFUSIONS . "forum_threads_prefix/functions.php";

if (!checkrights("FOTP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) {
    redirect("../index.php");
}

if (file_exists(INFUSIONS . "forum_threads_prefix/locale/" . $settings['locale'] . ".php")) {
    include INFUSIONS . "forum_threads_prefix/locale/" . $settings['locale'] . ".php";
} else {
    include INFUSIONS . "forum_threads_prefix/locale/Slovak.php";
}

include "menu.php";

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['fotp_003'];
	} elseif ($_GET['status'] == "su") {
		$message = $locale['fotp_004'];
	} elseif ($_GET['status'] == "del") {
		$message = $locale['fotp_005'];
	} 
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
}

if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['pref_id']) && isnum($_GET['pref_id']))) {
	$data = dbarray(dbquery("SELECT * FROM ".DB_FORUM_PREF." WHERE pref_id='".$_GET['pref_id']."'"));	
	$result = dbquery("DELETE FROM ".DB_FORUM_PREF." WHERE pref_id='".$_GET['pref_id']."'");
	redirect(FUSION_SELF.$aidlink."&status=del");
	
}

	if (isset($_POST['savepref'])) {
		$pref_forum_cat = stripinput($_POST['pref_forum_cat']);
		$pref_name = stripinput($_POST['pref_name']);
		$pref_color = stripinput($_POST['pref_color']);
		$pref_status = stripinput($_POST['pref_status']);
		if ($pref_name != "") {
			if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['pref_id']) && isnum($_GET['pref_id']))) {
				$result = dbquery("UPDATE ".DB_FORUM_PREF." SET pref_forum_cat='".$pref_forum_cat."', pref_name='".$pref_name."', pref_color='".$pref_color."', pref_status='".$pref_status."' WHERE pref_id='".$_GET['pref_id']."'");
				redirect(FUSION_SELF.$aidlink."&status=su");
			} else {
				$result = dbquery("INSERT INTO ".DB_FORUM_PREF." (pref_forum_cat, pref_name, pref_color, pref_status) VALUES ('".$pref_forum_cat."', '".$pref_name."', '".$pref_color."', '".$pref_status."')");
				redirect(FUSION_SELF.$aidlink."&status=sn");
			}
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	}
	if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['pref_id']) && isnum($_GET['pref_id']))) {
		$result = dbquery("SELECT pref_id, pref_forum_cat, pref_name, pref_color, pref_status FROM ".DB_FORUM_PREF." WHERE pref_id='".$_GET['pref_id']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			$pref_forum_cat = $data['pref_forum_cat'];
			$pref_name = $data['pref_name'];
			$pref_color = $data['pref_color'];
			$pref_status = $data['pref_status'];
			$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;pref_id=".$data['pref_id'];
			opentable($locale['fotp_002']);
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	} else {
		$pref_forum_cat = "";
		$pref_name = "";
		$pref_color = "";
		$pref_status = "";
		$formaction = FUSION_SELF.$aidlink;
		opentable($locale['fotp_001']);
	}
	
	// Table
	
	echo "<table class='tbl-border' cellpadding='0' cellspacing='0' align='left'>\n<tr>\n";
	echo "<tr>\n";
		echo "<td class='tbl2' align='center' style='font-weight:bold;'>".$locale['fotp_019']."</td>\n";
		echo "<td class='tbl2' align='right' style='font-weight:bold;'>".$locale['fotp_008']."</td>\n";
	echo "</tr>\n";
	
	
	echo "<tr>\n";
		echo "<td class='tbl1' align='center' style='white-space: nowrap'><span class='tag green'>Green</span></td>\n";
		echo "<td class='tbl1' align='center'>green</td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
		echo "<td class='tbl2' align='center' style='white-space: nowrap'><span class='tag red'>Red</span></td>\n";
		echo "<td class='tbl2' align='center'>red</td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
		echo "<td class='tbl1' align='center' style='white-space: nowrap'><span class='tag orange'>Orange</span></td>\n";
		echo "<td class='tbl1' align='center'>orange</td>\n";
	echo "</tr>\n";
	echo "</tr>\n</table>\n";
	
	// Table 2
	
	echo "<table class='tbl-border' cellpadding='0' cellspacing='0' align='left' style='margin-left: 5px;'>\n<tr>\n";
	echo "<tr>\n";
		echo "<td class='tbl2' align='center' style='font-weight:bold;'>".$locale['fotp_019']."</td>\n";
		echo "<td class='tbl2' align='right' style='font-weight:bold;'>".$locale['fotp_008']."</td>\n";
	echo "</tr>\n";
	
	echo "<tr>\n";
		echo "<td class='tbl1' align='center' style='white-space: nowrap'><span class='tag blue'>Blue</span></td>\n";
		echo "<td class='tbl1' align='center'>blue</td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
		echo "<td class='tbl2' align='center' style='white-space: nowrap'><span class='tag gray'>Gray</span></td>\n";
		echo "<td class='tbl2' align='center'>gray</td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
		echo "<td class='tbl2' align='center' style='white-space: nowrap'><span class='tag brown'>Brown</span></td>\n";
		echo "<td class='tbl2' align='center'>brown</td>\n";
	echo "</tr>\n";
	echo "</tr>\n</table>\n";
	
	// Table 3
	
	echo "<table class='tbl-border' cellpadding='0' cellspacing='0' align='left' style='margin-left: 5px;'>\n<tr>\n";
	echo "<tr>\n";
		echo "<td class='tbl2' align='center' style='font-weight:bold;'>".$locale['fotp_019']."</td>\n";
		echo "<td class='tbl2' align='right' style='font-weight:bold;'>".$locale['fotp_008']."</td>\n";
	echo "</tr>\n";
	
	echo "<tr>\n";
		echo "<td class='tbl1' align='center' style='white-space: nowrap'><span class='tag maroon'>Maroon</span></td>\n";
		echo "<td class='tbl1' align='center'>maroon</td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
		echo "<td class='tbl2' align='center' style='white-space: nowrap'><span class='tag navy'>Navy</span></td>\n";
		echo "<td class='tbl2' align='center'>navy</td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
		echo "<td class='tbl2' align='center' style='white-space: nowrap'><span class='tag purple'>Purple</span></td>\n";
		echo "<td class='tbl2' align='center'>purple</td>\n";
	echo "</tr>\n";
	echo "</tr>\n</table>\n";
	
	// Table 4
	
	echo "<table class='tbl-border' cellpadding='0' cellspacing='0' align='left' style='margin-left: 5px;'>\n<tr>\n";
	echo "<tr>\n";
		echo "<td class='tbl2' align='center' style='font-weight:bold;'>".$locale['fotp_019']."</td>\n";
		echo "<td class='tbl2' align='right' style='font-weight:bold;'>".$locale['fotp_008']."</td>\n";
	echo "</tr>\n";
	
	echo "<tr>\n";
		echo "<td class='tbl1' align='center' style='white-space: nowrap'><span class='tag black'>Black</span></td>\n";
		echo "<td class='tbl1' align='center'>black</td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
		echo "<td class='tbl2' align='center' style='white-space: nowrap'><span class='tag olive'>Olive</span></td>\n";
		echo "<td class='tbl2' align='center'>olive</td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
		echo "<td class='tbl2' align='center' style='white-space: nowrap'><span class='tag cyan'>Cyan</span></td>\n";
		echo "<td class='tbl2' align='center'>cyan</td>\n";
	echo "</tr>\n";
	echo "</tr>\n</table>\n";
	
	// Table add/edit
	
	echo "<form name='layoutform' method='post' action='".$formaction."'>\n";
	echo "<table cellpadding='0' cellspacing='0' align='left' style='margin-left: 25px;'>\n<tr>\n";
	echo "<td class='tbl'><span style='font-weight:bold;'>".$locale['fotp_022'].":</span> <span style='color:#ff0000'>*</span></td>\n";
	echo "<td class='tbl'><select name='pref_forum_cat' class='textbox' style='width: 200px;'>";
	echo "<option>".$locale['fotp_020']."</option>";
	echo category_parentPrefix($pref_forum_cat);
	echo "</select></td>\n";
	echo "</tr>\n"; 
	echo "<tr>\n";
	echo "<td class='tbl'><span style='font-weight:bold;'>".$locale['fotp_007'].":</span> <span style='color:#ff0000'>*</span></td>\n";
	echo "<td class='tbl'><input type='text' name='pref_name' value='".$pref_name."' maxlength='100' class='textbox' style='width:290px;' /></td>\n";
	echo "</tr>\n";
	
	echo "<tr>\n";
	echo "<td class='tbl'><span style='font-weight:bold;'>".$locale['fotp_008'].":</span> <span style='color:#ff0000'>*</span></td>\n";
	echo "<td class='tbl'><input type='text' name='pref_color' placeholder='red' value='".$pref_color."' maxlength='20' class='textbox' style='width:100px;' /></td>\n";
	echo "</tr>\n";

	echo "<tr>\n";
	echo "<td class='tbl'><span style='font-weight:bold;'>".$locale['fotp_009'].":</span> <span style='color:#ff0000'>*</span></td>\n";
	echo "<td class='tbl'><select name='pref_status' class='textbox' style='width: 90px;'>
			<option".($pref_status == 1 ? " selected='selected'" : "")." value='1'>".$locale['fotp_013']."</option>
			<option".($pref_status == 0 ? " selected='selected'" : "")." value='0'>".$locale['fotp_014']."</option></select></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' colspan='2' class='tbl'>\n";
	echo "<input type='submit' name='savepref' value='".$locale['fotp_010']."' class='button' /></td>\n";
	echo "</tr>\n</table>\n</form>\n";
	
	closetable();
	
	// Table List
	
	opentable($locale['fotp_015']);
	$prefe_list = dbquery("SELECT * FROM ".DB_FORUMS." WHERE forum_cat='0' ORDER BY forum_order");
	
	if (dbrows($prefe_list) != 0) {
		while ($row = dbarray($prefe_list)) {
			
		echo "<table class='tbl-border center' cellspacing='1' cellpadding='0' width='100%'>\n";
			echo "<tr>";
				echo "<td colspan='4' class='tbl4'>&nbsp; ".$row['forum_name']."</td>";
				echo "<td align='center' width='5%' class='tbl4' style='white-space:nowrap'></td>";
				echo "<td align='center' width='5%' class='tbl4' style='white-space:nowrap'></td>";
				
		$prefe_list2 = dbquery("SELECT forum_id, forum_name, forum_description, forum_cat, forum_order FROM ".DB_FORUMS." WHERE forum_cat='".$row['forum_id']."' ORDER BY forum_order");

			while ($row2 = dbarray($prefe_list2)) {
					
			//echo "<table class='tbl-border center' cellspacing='1' cellpadding='0' width='100%'>\n";
				echo "<tr>";
					echo "<td colspan='4' class='tbl3'>&nbsp;&nbsp;-&nbsp; ".$row2['forum_name']."</td>";
					echo "<td align='center' width='5%' class='tbl3' style='white-space:nowrap'></td>";
					echo "<td align='center' width='5%' class='tbl3' style='white-space:nowrap'></td>";
			
			
	
			$prefe_list3 = dbquery("SELECT * FROM ".DB_FORUM_PREF." WHERE pref_forum_cat = '".$row2['forum_id']."' ORDER BY pref_id ASC");

			//echo "<table class='tbl-border center' cellspacing='1' cellpadding='0' width='100%'>\n";
				echo "<tr>\n";
				echo "<td class='tbl2' style='font-weight:bold;'>#</td>\n";
				echo "<td class='tbl2' align='left' style='font-weight:bold;'>".$locale['fotp_007']."</td>\n";
				echo "<td class='tbl2' align='center' style='font-weight:bold;'>".$locale['fotp_008']."</td>\n";
				echo "<td class='tbl2' align='center' style='font-weight:bold;'>".$locale['fotp_009']."</td>\n";
				echo "<td colspan='2' class='tbl2' align='center' style='font-weight:bold;'>".$locale['fotp_011']."</td>\n";
				echo "</tr>\n";
				
				if (dbrows($prefe_list3)) {
					
				$i = 0;
				$jk = 1;
				while($row3 = dbarray($prefe_list3)) {
					
					if ($row3['pref_status'] == 1) {
							$prefex_status = "<img border='0' src='images/yes.png' alt='".$locale['fotp_013']."' title='".$locale['fotp_013']."' border='0' /> ";
						} else {
							$prefex_status = "<img border='0' src='images/no.png' alt='".$locale['fotp_014']."' title='".$locale['fotp_014']."' border='0' /> ";
					}
			
				$class = $i % 2 == 0 ? "tbl1" : "tbl2";
				echo "<tr>\n";
				echo "<td class='".$class."' width='50'>".$jk."</td>\n";
				echo "<td class='".$class."'>".$row3['pref_name']."</td>\n";
				echo "<td class='".$class."' align='center' style='white-space: nowrap'><span class='tag ".$row3['pref_color']."'>".$row3['pref_name']."</span></td>\n";
				echo "<td class='".$class."' align='center' style='white-space: nowrap'>".$prefex_status."</td>\n";
				echo "<td class='".$class."' align='center' width='5%' style='white-space:nowrap'><a href='forum_threads_prefix.php".$aidlink."&amp;action=edit&amp;pref_id=".$row3['pref_id']."'>".$locale['fotp_016']."</a></td>";
				echo "<td class='".$class."' align='center' width='5%' style='white-space:nowrap'><a href='forum_threads_prefix.php".$aidlink."&amp;action=delete&amp;pref_id=".$row3['pref_id']."' onclick=\"return confirm('".$locale['fotp_017']."');\">".$locale['fotp_012']."</a></td>";
				echo "</tr>\n";
				$i++;
				$jk++;
				}
				
			}	else {
				echo "<tr><td colspan='6' class='tbl2' align='center'>".$locale['fotp_018']."</td>\n</tr>\n";
			}
			//echo "</table>\n";
			
			//echo "</table>\n";
				echo "</tr>\n";
			
			}
			
		echo "</table>\n<br>\n";
			echo "</tr>\n";
	
	}
	}	else {
		echo "<div align='center'>\n".$locale['fotp_018']."</td>\n";
	}
	
	
	
	closetable();
	

require_once THEMES . "templates/footer.php";
?>